keysync_0.2.1.1-2_all.deb


Advertisement

Description

keysync - Syncs OTR identities between the different chat programs

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name keysync
Package version 0.2.1.1
Package release 2
Package architecture all
Package type deb
Installed size 962 B
Download size 771.26 KB
Official Mirror ftp.br.debian.org
There are many chat apps that support OTR encryption for verifying messages.
Many use multiple chat apps, including one for desktop and another for
mobile, or one for Mac OS X and another for GNU/Linux or Windows.  The trust
relationships are only stored locally in the app in a format that is specific
to that app.  Switching between all of them means that you have to manage
your trust relationships for each app that you use.
KeySync addresses this problem by allowing you to sync your OTR identity and
trust relationships between multiple apps.  It currently works with
ChatSecure on Android, and Pidgin, Adium, and Jitsi on desktop.  This project
is for converting the various OTR file formats between each other.
Currently, KeySync is focused on the two major OTR implementations: libotr
and otr4j, but it is modular enough to allow adding support for any OTR
implementation.

Alternatives

Package Version Architecture Repository
keysync_0.2.1.1-2_all.deb 0.2.1.1 all Debian Main
keysync - - -

Requires

Name Value
python << 2.8
python >= 2.7
python-bs4 -
python-crypto -
python-imaging -
python-imaging-tk -
python-pgpdump -
python-pkg-resources -
python-potr -
python-psutil -
python-pyasn1 -
python-pyjavaproperties -
python-pymtp >= 0.0.6~
python-pyparsing -
python-qrcode -
python-six -
python-tk -

Download

Type URL
Binary Package keysync_0.2.1.1-2_all.deb
Source Package keysync

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install keysync deb package:
    # sudo apt-get install keysync

Files

Path
/usr/bin/keysync
/usr/bin/keysync-gui
/usr/lib/python2.7/dist-packages/keysync-0.2.1.1.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/keysync-0.2.1.1.egg-info/SOURCES.txt
/usr/lib/python2.7/dist-packages/keysync-0.2.1.1.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/keysync-0.2.1.1.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/keysync-0.2.1.1.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/otrapps/__init__.py
/usr/lib/python2.7/dist-packages/otrapps/adium.py
/usr/lib/python2.7/dist-packages/otrapps/chatsecure.py
/usr/lib/python2.7/dist-packages/otrapps/errors.py
/usr/lib/python2.7/dist-packages/otrapps/gajim.py
/usr/lib/python2.7/dist-packages/otrapps/gnupg.py
/usr/lib/python2.7/dist-packages/otrapps/irssi.py
/usr/lib/python2.7/dist-packages/otrapps/jitsi.py
/usr/lib/python2.7/dist-packages/otrapps/kopete.py
/usr/lib/python2.7/dist-packages/otrapps/otr_fingerprints.py
/usr/lib/python2.7/dist-packages/otrapps/otr_private_key.py
/usr/lib/python2.7/dist-packages/otrapps/pidgin.py
/usr/lib/python2.7/dist-packages/otrapps/util.py
/usr/lib/python2.7/dist-packages/otrapps/xchat.py
/usr/share/applications/keysync.desktop
/usr/share/doc/keysync/README.md.gz
/usr/share/doc/keysync/changelog.Debian.gz
/usr/share/doc/keysync/copyright
/usr/share/icons/hicolor/128x128/apps/keysync.png
/usr/share/icons/hicolor/256x256/apps/keysync.png
/usr/share/keysync/add.png
/usr/share/keysync/adium.png
/usr/share/keysync/chatsecure.png
/usr/share/keysync/gajim.png
/usr/share/keysync/gnupg.png
/usr/share/keysync/irssi.png
/usr/share/keysync/jitsi.png
/usr/share/keysync/keysync.png
/usr/share/keysync/kopete.png
/usr/share/keysync/pidgin.png
/usr/share/keysync/xchat.png
/usr/share/man/man1/keysync.1.gz

Changelog

2015-01-07 - Hans-Christoph Steiner <hans@eds.org>
keysync (0.2.1.1-2) unstable; urgency=low
* Standards-Version: 3.9.6
* add missing dep to pydist-overrides (Closes: #774531)
2014-07-07 - Hans-Christoph Steiner <hans@eds.org>
keysync (0.2.1.1-1) unstable; urgency=low
* new upstream release
* added support for gajim and kopete
2013-11-14 - Hans-Christoph Steiner <hans@eds.org>
keysync (0.2-2) unstable; urgency=low
* fix issue where keysync-gui crashed on start
2013-10-25 - Hans-Christoph Steiner <hans@eds.org>
keysync (0.2-1) unstable; urgency=low
* new upstream release
2013-09-14 - Hans-Christoph Steiner <hans@eds.org>
keysync (0.1-1) unstable; urgency=low
* new upstream release
* name change: otrfileconverter --> KeySync
* uploading to Debian (Closes: #722879)
2012-10-08 - Hans-Christoph Steiner <hans@eds.org>
otrfileconverter (0.0.2-1) unstable; urgency=low
* Initial release

See Also

Package Description
keytouch-editor_3.2.0~beta-3_amd64.deb create keyboard files for keytouch
keyutils_1.5.9-5+b1_amd64.deb Linux Key Management Utilities
kfilereplace_4.14.1-1_amd64.deb batch search-and-replace component
kfind_4.14.2-1_amd64.deb file search utility
kfloppy_4.12.2-2_amd64.deb floppy formatter
kfourinline_4.14.0-1_amd64.deb Connect Four game
kfreebsd-source-10.1_10.1~svn274115-4_all.deb source code for kernel of FreeBSD 10.1 with Debian patches
kftpgrabber_0.8.99~svn1214766-1_amd64.deb ftp client for KDE
kgamma_4.14.2-1_amd64.deb monitor calibration panel for KDE
kgb-bot_1.33-2_all.deb IRC collaboration bot
kgb-client_1.33-2_all.deb client for KGB (IRC collaboration bot)
kgb_1.0b4+ds-13.2_amd64.deb Archiver for .kgb files
kgeography-data_4.14.0-1_all.deb data files for KGeography
kgeography_4.14.0-1_amd64.deb geography learning aid for KDE
kget_4.14.0+dfsg-1_amd64.deb download manager
Advertisement
Advertisement